({
    "title": "拓天周界",
    "key": "tuotian-zhoujie",
    "model": {
        "properties": {
            "settings": {
                "title": "设备配置",
                "type": "object",
                "properties": {
                    "address": {
                        "type": "string",
                        "title": "设备IP"
                    },
                    "port": {
                        "type": "number",
                        "title": "端口"
                    },
                    "interval": {
                        "type": "number",
                        "title": "采集周期"
                    }
                }
            },
            "tags": {
                "title": "数据点",
                "type": "array",
                "items": {
                    "type": "object",
                    "properties": {
                        "name": {
                            "type": "string",
                            "title": "名称"
                        },
                        "id": {
                            "type": "string",
                            "title": "标识"
                        },
						"number": {
							"type": "number",
							"title": "防区号",
						},
                        "unit": {
                            "type": "string",
                            "title": "单位"
                        },
                        "fixed": {
                            "type": "number",
                            "title": "小数位数"
                        },
                        "mod": {
                            "type": "number",
                            "title": "缩放比例"
                        }
                    }
                }
            },
            "commands": {
                "title": "命令",
                "type": "array",
                "items": {
                    "type": "object",
                    "properties": {
                        "name": {
                            "type": "string",
                            "title": "名称"
                        },
                        "ops": {
                            "title": "指令",
                            "type": "array",
                            "items": {
                                "type": "object",
                                "properties": {
                                    "action": {
                                        "type": "string",
                                        "title": "布/撤防",
                                        "enum": [
                                            "DYBF",
                                            "GYBF",
                                            "XTCF",
                                            "BJFW"
                                        ],
                                        "enum_title": [
                                            "低压布防",
                                            "高压布防",
                                            "系统撤防",
                                            "报警复位"
                                        ]
                                    },
                                    "modelNo": {
                                        "type": "number",
                                        "title": "模块编号",
                                        "description": "查询模块状态指令填写"
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    },
    "device": {
        "properties": {
            "settings": {
                "title": "设备配置",
                "type": "object",
                "properties": {
                    "address": {
                        "type": "string",
                        "title": "设备IP"
                    },
                    "port": {
                        "type": "number",
                        "title": "端口"
                    },
                    "master": {
                        "type": "number",
                        "title": "主机编号"
                    },
                    "interval": {
                        "type": "number",
                        "title": "采集周期"
                    }
                }
            },
            "tags": {
                "title": "数据点",
                "type": "array",
                "items": {
                    "type": "object",
                    "properties": {
                        "name": {
                            "type": "string",
                            "title": "名称"
                        },
                        "id": {
                            "type": "string",
                            "title": "标识"
                        },
						"number": {
							"type": "number",
							"title": "防区号",
						},
                        "unit": {
                            "type": "string",
                            "title": "单位"
                        },
                        "fixed": {
                            "type": "number",
                            "title": "小数位数"
                        },
                        "mod": {
                            "type": "number",
                            "title": "缩放比例"
                        }
                    }
                }
            }
        }
    }
})
